; #FUNCTION# ====================================================================================================================
; Name...........: _Ash_UserKey_Detect
; Description ...: Detect User Key ,,, 
; Syntax.........: _Ash_UserKey_Detect ([$ReturnType = 0])
; Parameters ....: $ReturnType 
;                     0 = Return Only User Key 
;                     1 = Return All Path 
; Return values .: Success - Returns User Key
;                  Failure - none
; Author ........: Ashalshaikh - Ahmad Alshaikh
; ===============================================================================================================================
Func _Ash_UserKey_Detect ($ReturnType = 0)
	IF $ReturnType <0 Or $ReturnType >1 Then $ReturnType = 0
	$CountReg = 1
	Do
		$EnumKey = RegEnumKey ("HKEY_USERS",$CountReg )
		If @Error Then ExitLoop
		$CountReg= 1 + $CountReg
	Until StringLeft ($EnumKey,StringLen ("S-1-5-21")) =  "S-1-5-21"
	If $ReturnType = 0 Then 
		Return $EnumKey
	Else 
		Return "HKEY_USERS\" & $EnumKey
	EndIf
EndFunc